version: '3.9'
services:
    ar:
        ports:
            - published: 441
              target: 443
              protocol: udp
              mode: host
            - published: 32002
              target: 32002
              protocol: udp
              mode: host
            - published: 32004
              target: 32004
              protocol: udp
              mode: host
            - published: 62103
              target: 62103
              protocol: udp
              mode: host
            - published: 62102
              target: 62102
              protocol: udp
              mode: host
            - published: 62101
              target: 62101
              protocol: udp
              mode: host
            - published: 62105
              target: 62105
              protocol: udp
              mode: host
        image: 'analog-reflector'
        restart: unless-stopped
        hostname: ar-pride
        volumes:
            - /config/pride/arbackup:/opt/Analog_Reflector
            - /var/log/pride:/var/log/bridge
        networks:
           stream_net:
             ipv4_address: 10.200.0.52

networks:
    stream_net:
        driver: bridge
        name:  stream_net
        ipam:
           driver: default
           config:
           - subnet: "10.200.0.0/24"
             gateway: "10.200.0.1"
